## javax.xml.datatype
Class DatatypeConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.datatype.DatatypeConfigurationException

All Implemented Interfaces:
  java.io.Serializable

public class DatatypeConfigurationException
extends java.lang.Exception

Indicates a serious configuration error.

TODO: support all constructors

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`DatatypeConfigurationException()` Create a new `DatatypeConfigurationException` with no specified detail mesage and cause.
`DatatypeConfigurationException(java.lang.String message)` Create a new `DatatypeConfigurationException` with the specified detail message.
`DatatypeConfigurationException(java.lang.String message, java.lang.Throwable cause)` Create a new `DatatypeConfigurationException` with the specified detail message and cause.
`DatatypeConfigurationException(java.lang.Throwable cause)` Create a new `DatatypeConfigurationException` with the specified cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatatypeConfigurationException

    public DatatypeConfigurationException()

  Create a new `DatatypeConfigurationException` with no specified detail mesage and cause.

### DatatypeConfigurationException

    public DatatypeConfigurationException(java.lang.String message)

  Create a new `DatatypeConfigurationException` with the specified detail message.

Parameters:
  `message` - The detail message.

### DatatypeConfigurationException

    public DatatypeConfigurationException(java.lang.String message,
                                          java.lang.Throwable cause)

  Create a new `DatatypeConfigurationException` with the specified detail message and cause.

Parameters:
  `message` - The detail message.
  `cause` - The cause. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.

### DatatypeConfigurationException

    public DatatypeConfigurationException(java.lang.Throwable cause)

  Create a new `DatatypeConfigurationException` with the specified cause.

Parameters:
  `cause` - The cause. A `null` value is permitted, and indicates that the cause is nonexistent or unknown.